%define		_class		Net
%define		_subclass	DNSBL
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.3.7
Release:	%mkrel 6
Summary:	DNSBL Checker
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_DNSBL/
Source0:	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-Cache_Lite >= 1.4.1
Requires:	php-pear-Net_DNS >= 1.0.0
Requires:	php-pear-HTTP_Request2 >= 2.0.0
BuildArch:	noarch



%description
Checks if a given Host or URL is listed on an DNS-based Blackhole List
(DNSBL, Real-time Blackhole List or RBL) or Spam URI Realtime Blocklist
(SURBL)

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_DNSBL.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_DNSBL.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_DNSBL
fi

%files
%doc docs/Net_DNSBL/*
%{peardir}/*
%{xmldir}/Net_DNSBL.xml


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 1.3.7-6.mga6
+ Revision: 940479
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.7-5.mga5
+ Revision: 743109
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.7-4.mga5
+ Revision: 687358
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.7-3.mga4
+ Revision: 528205
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 spuhler <spuhler> 1.3.7-2.mga4
+ Revision: 443783
- upgrade to version 1.3.7
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.3.4-2.mga3
+ Revision: 376931
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 1.3.4-1.mga1
+ Revision: 43665
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_DNSBL


* Wed Dec 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-1mdv2011.0
+ Revision: 625910
- fix build
- 1.3.4

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.3-3mdv2011.0
+ Revision: 613722
- the mass rebuild of 2010.1 packages

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.3-2mdv2010.1
+ Revision: 468695
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.3-1mdv2010.0
+ Revision: 394094
- update to new version 1.3.3

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-1mdv2010.0
+ Revision: 383554
- update to new version 1.3.2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdv2009.1
+ Revision: 322375
- rebuild

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.0-1mdv2009.0
+ Revision: 278931
- update to new version 1.3.0

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdv2009.0
+ Revision: 236977
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.2.1-1mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdv2008.0
+ Revision: 15814
- fix build
- 1.2.1


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdv2007.0
+ Revision: 82247
- Import php-pear-Net_DNSBL

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdk
- 1.1.0

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdk
- initial Mandriva package (PLD import)

